#!/usr/bin/env nix-shell
#!nix-shell -i dash --packages dash yt-dlp

set -xeu
[ -d out ] && rm -rf out
mkdir out
while read -r LINK; do
    yt-dlp \
        --config-location "${HOME}/.config/yt-dlp/norm_config" \
        --external-downloader aria2c \
        --no-write-subs \
        --paths out \
        "${LINK}"
    sync
done < links
